Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.plugin

# Class minplayer.display

Extends minplayer.plugin.
Base class used to provide the display and options for any component deriving from this class. Components who derive are expected to provide the elements that they define by implementing the getElements method.
Defined in: minplayer.display.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.display(name, context, options, queue)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.
| onResize Called when the window resizes.

Fields borrowed from class minplayer.plugin:
  active, context, lock, name, options, pluginReady, queue, triggered

Method Summary
Method Attributes | Method Name and Description
--- | ---
| construct()
| fullscreen(full) Make this display element go fullscreen.
| fullScreenElement() Gets the full screen element.
| getDisplay() Returns the display for this component.
| getElements() Returns all the jQuery elements that this component uses.
| getScaledRect(ratio, rect) Returns a scaled rectangle provided a ratio and the container rect.
| hide(element) Wrapper around hide that will always not show.
| isFullScreen() Checks to see if we are in fullscreen mode.
| onFocus(focus) Determines if the player is in focus or not.
| toggleFullScreen() Toggle fullscreen.

Methods borrowed from class minplayer.plugin:
  addPlugin, bind, checkQueue, create, destroy, get, isValid, poll, ready, trigger, unbind

Class Detail
minplayer.display(name, context, options, queue)

Parameters:
{string} name
  The name of this plugin.
{object} context
  The jQuery context this component resides.
{object} options
  The options for this component.
{object} queue
  The event queue to pass events around.

Field Detail
constructor
Reset the constructor.

onResize
Called when the window resizes.
Method Detail
construct()

See:
  minplayer.plugin.construct

fullscreen(full)
Make this display element go fullscreen.

Parameters:
{boolean} full
  Tell the player to go into fullscreen or not.

{object} fullScreenElement()
Gets the full screen element.

Returns:
  {object} The display to be used for full screen support.

{object} getDisplay()
Returns the display for this component.

Returns:
  {object} The jQuery context for this display.

{object} getElements()
Returns all the jQuery elements that this component uses.

Returns:
  {object} An object which defines all the jQuery elements that this component uses.

{object} getScaledRect(ratio, rect)
Returns a scaled rectangle provided a ratio and the container rect.

Parameters:
{number} ratio
  The width/height ratio of what is being scaled.
{object} rect
  The bounding rectangle for scaling.

Returns:
  {object} The Rectangle object of the scaled rectangle.

hide(element)
Wrapper around hide that will always not show.

Parameters:
{object} element
  The element you wish to hide.

{boolean} isFullScreen()
Checks to see if we are in fullscreen mode.

Returns:
  {boolean} TRUE - fullscreen, FALSE - otherwise.

onFocus(focus)
Determines if the player is in focus or not.

Parameters:
{boolean} focus
  If the player is in focus.

toggleFullScreen()
Toggle fullscreen.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 04 2012 19:54:20 GMT-0700 (PDT)